Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model
Interface RDFSNamedClass

All Superinterfaces:
  edu.stanford.smi.protege.model.Cls, Comparable<edu.stanford.smi.protege.model.Frame>, Deprecatable, edu.stanford.smi.protege.model.Frame, edu.stanford.smi.protege.model.Instance, ProtegeCls, ProtegeInstance, RDFObject, RDFResource, RDFSClass, Visitable

All Known Subinterfaces:
  OWLNamedClass

All Known Implementing Classes:
  DefaultOWLNamedClass, DefaultRDFSNamedClass

    public interface RDFSNamedClass

extends RDFSClass, Deprecatable

Author:
  Holger Knublauch

Method Summary
`RDFResource` | `createAnonymousInstance()` Creates an instance of this class so that Protege will recognize this as an "anonymous" node in the RDF rendering.
`RDFIndividual` | `createRDFIndividual(String name)` Creates a new individual of this (assuming this is not a metaclass).
`Set` | `getAssociatedProperties()` Gets all properties that have been associated with this class.
`RDFSClass` | `getFirstSuperclass()` A convenience method to get the first direct superclass of this.
`Collection` | `getUnionRangeClasses(RDFProperty property)` Gets the allowed classes for a given property at this class.
`boolean` | `isFunctionalProperty(RDFProperty property)` Checks whether a given property is "functional" at this class.
`boolean` | `isVisibleFromOWLThing()` Checks whether this and a path to the root class is visible.

Methods inherited from interface edu.stanford.smi.protegex.owl.model.RDFSClass
`addClassListener, addSuperclass, createClone, createInstance, getDependingClasses, getEquivalentClasses, getImageIcon, getInferredInstanceCount, getInferredInstances, getInstanceCount, getInstances, getNamedSubclasses, getNamedSubclasses, getNamedSuperclasses, getNamedSuperclasses, getNestedBrowserText, getNestedNamedClasses, getParsableExpression, getPureSuperclasses, getSubclassCount, getSubclasses, getSuperclassCount, getSuperclasses, getUnionDomainProperties, getUnionDomainProperties, hasEquivalentClass, hasPropertyValueWithBrowserText, isAnonymous, isMetaclass, isSubclassOf, removeClassListener, removeSuperclass`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.ProtegeCls
`addClsListener, addDirectSuperclass, addDirectTemplateSlot, addTemplateFacetValue, addTemplateSlotValue, createDirectInstance, getBrowserSlotPattern, getConcreteSubclasses, getDirectBrowserSlotPattern, getDirectInstanceCount, getDirectInstances, getDirectlyOverriddenTemplateFacets, getDirectSubclassCount, getDirectSubclasses, getDirectSuperclassCount, getDirectSuperclasses, getDirectTemplateFacetValues, getDirectTemplateSlots, getDirectTemplateSlotValues, getInheritedBrowserSlotPattern, getInstanceCount, getInstances, getOverriddenTemplateFacets, getSubclasses, getSuperclasses, getTemplateFacets, getTemplateFacetValue, getTemplateFacetValues, getTemplateSlotAllowedClses, getTemplateSlotAllowedParents, getTemplateSlotAllowedValues, getTemplateSlotAllowsMultipleValues, getTemplateSlotDefaultValues, getTemplateSlotDocumentation, getTemplateSlotMaximumCardinality, getTemplateSlotMaximumValue, getTemplateSlotMinimumCardinality, getTemplateSlotMinimumValue, getTemplateSlots, getTemplateSlotValue, getTemplateSlotValues, getTemplateSlotValueType, getVisibleDirectSubclassCount, getVisibleDirectSubclasses, getVisibleTemplateSlots, hasDirectlyOverriddenTemplateFacet, hasDirectlyOverriddenTemplateSlot, hasDirectSuperclass, hasDirectTemplateSlot, hasInheritedTemplateSlot, hasOverriddenTemplateFacet, hasOverriddenTemplateSlot, hasSuperclass, hasTemplateFacet, hasTemplateSlot, isAbstract, isClsMetaCls, isConcrete, isDefaultClsMetaCls, isDefaultFacetMetaCls, isDefaultSlotMetaCls, isFacetMetaCls, isMetaCls, isRoot, isSlotMetaCls, moveDirectSubclass, moveDirectTemplateSlot, removeClsListener, removeDirectSuperclass, removeDirectTemplateSlot, removeTemplateFacetOverrides, setAbstract, setDirectBrowserSlot, setDirectBrowserSlotPattern, setDirectTypeOfSubclasses, setTemplateFacetValue, setTemplateFacetValues, setTemplateSlotAllowedClses, setTemplateSlotAllowedParents, setTemplateSlotAllowedValues, setTemplateSlotAllowsMultipleValues, setTemplateSlotDefaultValues, setTemplateSlotDocumentation, setTemplateSlotDocumentation, setTemplateSlotMaximumCardinality, setTemplateSlotMaximumValue, setTemplateSlotMinimumCardinality, setTemplateSlotMinimumValue, setTemplateSlotValue, setTemplateSlotValues, setTemplateSlotValueType`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.ProtegeInstance
`addDirectType, addFrameListener, addInstanceListener, addOwnFacetValue, addOwnSlotValue, areValidOwnSlotValues, copy, deepCopy, getDirectOwnSlotValue, getDirectOwnSlotValues, getDirectType, getDirectTypes, getDocumentation, getIcon, getInvalidOwnSlotValuesText, getInvalidOwnSlotValueText, getKnowledgeBase, getOwnFacetValue, getOwnFacetValues, getOwnSlotAllowsMultipleValues, getOwnSlotAndSubslotValues, getOwnSlotDefaultValues, getOwnSlotFacets, getOwnSlotFacetValues, getOwnSlots, getOwnSlotValue, getOwnSlotValueCount, getOwnSlotValues, getOwnSlotValueType, getProject, getReachableSimpleInstances, getReferences, getReferences, hasDirectType, hasOwnSlot, hasType, isBeingDeleted, isDeleted, isEditable, isIncluded, isSystem, isValidOwnSlotValue, markDeleted, markDeleting, removeDirectType, removeFrameListener, removeInstanceListener, removeOwnSlotValue, setDirectOwnSlotValue, setDirectOwnSlotValues, setDirectType, setDirectTypes, setDocumentation, setDocumentation, setEditable, setIncluded, setOwnFacetValue, setOwnFacetValues, setOwnSlotValue, setOwnSlotValues, shallowCopy`

Methods inherited from interface edu.stanford.smi.protege.model.Instance
`moveDirectType`

Methods inherited from interface edu.stanford.smi.protege.model.Frame
`assertFrameName, getFrameID, isValid, moveDirectOwnSlotValue`

Methods inherited from interface java.lang.Comparable
`compareTo`

Methods inherited from interface edu.stanford.smi.protege.model.Cls
`getBrowserSlot, getDirectBrowserSlot, getInheritedBrowserSlot, rename`

Methods inherited from interface edu.stanford.smi.protege.model.Instance
`moveDirectType`

Methods inherited from interface edu.stanford.smi.protege.model.Frame
`assertFrameName, getFrameID, isValid, moveDirectOwnSlotValue`

Methods inherited from interface java.lang.Comparable
`compareTo`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.RDFResource
`addComment, addDifferentFrom, addIsDefinedBy, addLabel, addPropertyValue, addPropertyValueListener, addProtegeType, addRDFType, addResourceListener, addSameAs, addVersionInfo, as, canAs, delete, getAllValuesFromOnTypes, getBrowserText, getComments, getDifferentFrom, getHasValuesOnTypes, getIconLocation, getIconName, getInferredTypes, getIsDefinedBy, getLabels, getLocalName, getName, getNamespace, getNamespacePrefix, getOWLModel, getPossibleRDFProperties, getPrefixedName, getPropertyValue, getPropertyValue, getPropertyValueAs, getPropertyValueCount, getPropertyValueLiteral, getPropertyValueLiterals, getPropertyValues, getPropertyValues, getPropertyValuesAs, getProtegeType, getProtegeTypes, getRDFProperties, getRDFType, getRDFTypes, getReferringAnonymousClasses, getSameAs, getURI, getVersionInfo, hasPropertyValue, hasPropertyValue, hasPropertyValue, hasPropertyValue, hasProtegeType, hasProtegeType, hasRDFType, hasRDFType, isValidPropertyValue, isVisible, listPropertyValues, listPropertyValues, listPropertyValuesAs, listRDFTypes, removeComment, removeDifferentFrom, removeIsDefinedBy, removeLabel, removePropertyValue, removePropertyValueListener, removeProtegeType, removeRDFType, removeResourceListener, removeSameAs, removeVersionInfo, setComment, setComments, setInferredTypes, setPropertyValue, setPropertyValues, setProtegeType, setProtegeTypes, setRDFType, setRDFTypes, setVisible`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.ProtegeInstance
`addDirectType, addFrameListener, addInstanceListener, addOwnFacetValue, addOwnSlotValue, areValidOwnSlotValues, copy, deepCopy, getDirectOwnSlotValue, getDirectOwnSlotValues, getDirectType, getDirectTypes, getDocumentation, getIcon, getInvalidOwnSlotValuesText, getInvalidOwnSlotValueText, getKnowledgeBase, getOwnFacetValue, getOwnFacetValues, getOwnSlotAllowsMultipleValues, getOwnSlotAndSubslotValues, getOwnSlotDefaultValues, getOwnSlotFacets, getOwnSlotFacetValues, getOwnSlots, getOwnSlotValue, getOwnSlotValueCount, getOwnSlotValues, getOwnSlotValueType, getProject, getReachableSimpleInstances, getReferences, getReferences, hasDirectType, hasOwnSlot, hasType, isBeingDeleted, isDeleted, isEditable, isIncluded, isSystem, isValidOwnSlotValue, markDeleted, markDeleting, removeDirectType, removeFrameListener, removeInstanceListener, removeOwnSlotValue, setDirectOwnSlotValue, setDirectOwnSlotValues, setDirectType, setDirectTypes, setDocumentation, setDocumentation, setEditable, setIncluded, setOwnFacetValue, setOwnFacetValues, setOwnSlotValue, setOwnSlotValues, shallowCopy`

Methods inherited from interface edu.stanford.smi.protege.model.Instance
`moveDirectType`

Methods inherited from interface edu.stanford.smi.protege.model.Frame
`assertFrameName, getFrameID, isValid, moveDirectOwnSlotValue`

Methods inherited from interface java.lang.Comparable
`compareTo`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.RDFObject
`equalsStructurally`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.visitor.Visitable
`accept`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.Deprecatable
`isDeprecated, setDeprecated`

Method Detail

### createAnonymousInstance

    RDFResource createAnonymousInstance()

  Creates an instance of this class so that Protege will recognize this as an "anonymous" node in the RDF rendering. Protege uses an internal naming convention to simulate anonymous nodes.

  Returns:
    a new, anonymous instance of this
  See Also:
    `OWLModel.getNextAnonymousResourceName()`, `OWLModel.isAnonymousResource(edu.stanford.smi.protegex.owl.model.RDFResource)`

### createRDFIndividual

    RDFIndividual createRDFIndividual(String name)

  Creates a new individual of this (assuming this is not a metaclass).

  Parameters:
    `name` - the name of the new instance or null for a default value
  Returns:
    the new instance

### getAssociatedProperties

    Set getAssociatedProperties()

  Gets all properties that have been associated with this class. This includes all properties that have this in their union domain. If this is an OWL class, then it also includes all domainless properties that have been mentioned in any restriction on this class, except those that have been restricted to a maximum cardinality of 0. It also includes all subproperties of the aforementioned properties.

  This method is for example used to determine which properties shall appear by default on a class form.

  Returns:
    the associated properties

### getFirstSuperclass

    RDFSClass getFirstSuperclass()

  A convenience method to get the first direct superclass of this. This method is typically used if it is known that there is only one parent, e.g. in simple hierarchies.

  Returns:
    the first superclass

### isFunctionalProperty

    boolean isFunctionalProperty(RDFProperty property)

  Checks whether a given property is "functional" at this class. A property is "functional" if it is declared to be owl:FunctionalProperty or if this is an OWLNamedClass with a max cardinality restriction or 0 or 1.

  Parameters:
    `property` - the property to test
  Returns:
    true if property is functional at this class

### getUnionRangeClasses

    Collection getUnionRangeClasses(RDFProperty property)

  Gets the allowed classes for a given property at this class. This assumes that the property takes objects as values. The method tests whether an allValuesFrom restriction has been defined on this class, and resolves this into a collection if the restriction has a union class as filler. If no restriction could be found in the inheritance hierarchy, the method looks for a global range restriction for the property.

  Parameters:
    `property` - the property to get the local range of
  Returns:
    a Collection of RDFSClasses

### isVisibleFromOWLThing

    boolean isVisibleFromOWLThing()

  Checks whether this and a path to the root class is visible.

  Returns:
    true if visible

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.